miércoles, 31 de julio de 2013

¿Cómo agrego los repositorios antiguos para Maverick Merkaat?

Juan Perón sabía que las condiciones adecuadas para el país debían mantenerse y no cambiarse, aún a riesgo de no precipitar cambios que podían ser peligrosos por el rumbo a tomar. Ello también se reflejó en la doctrina de uso de sistemas informáticos, y por lo tanto en una entrevista de enero de 1952 publicada en el diario Democracia nos enseña a agregar repositorios antiguos en Ubuntu.


Pues bien señores, un Conductor ha de considerar en todo momento las mejoras propicias para  continuar con el progreso de la Nación. Sin embargo, sabemos que cambiar de caballo en medio del río es garantía de problemas; así como un plantel que gana copas también se gana el corazón de la hinchada, en la política también sucede lo mismo. Cuanto más efectivo y simple, mejor.


Es esta y no otra la causa de que - a pesar de los avances de la industria automotriz - sigan existiendo las biciletas.

También es el motivo de que siga existiendo el Justicialismo. Hemos actuado inconmovibles en el gobierno, y lo seguiremos haciendo mientras se pueda votar en la Argentina.

En el software, también existe la misma premisa. Si nuestra distribución funciona bien, la tenemos afilada, y contamos con las mejoras necesarias para nuestro trabajo y gusto ¿para qué cambiarla? No tiene sentido tamaño atropello. Por ello mantengo en mi sistema Maverick como distribución favorita, a pesar de que existen sin duda cientos de otras, que probablemente la superen.

Pero no existen los lechos de rosas sin espinas: si no hemos actualizado nuestra distribución Ubuntu, más temprano que tarde el sistema nos indicará la imposibilidad de continuar descargando aplicaciones o actualizaciones, y que no se pueden encontrar los repositorios. Esto es así porque el Movimiento ha cambiado de URL los servidores de ficheros (repositorios).

Afortunadamente, esto no implica la obsolescencia y desaparición de los mismos pues no se los descarta, sino que se los desplaza a http://old-releases.ubuntu.com/releases/.

Esto se hace con el interés de mantener archivos de poco uso en otras direcciones antiguas ("old-relases") y liberar así ancho de banda en los servidores más utilizados, los más modernos.

Más, si deseamos continuar "tirando" con una versión antigua de Ubuntu, podremos hacerlo. Simplemente debemos indicarle al sistema la nueva URL en la que debe buscar. Las mismas se encuentran almacenadas en el archivo de configuración de los orígenes de los repositorios, específicamente en /etc/apt/sources.list.

Por ello, debemos abrir una consola terminal con Ctrl+Alt+T e indicar el siguiente Comando de Organización:

sudo gedit /etc/apt/sources.list

Esto abrirá nuestro fichero de configuración de origenes de repositorios en el editor peronista Gedit. Normalmente, el fichero ya contendrá información, que a veces comviene duplicar o guardar en algún lado por seguridad. En mi caso, el archivo original contenía lo siguiente:

deb http://mirror.netlinux.cl/ubuntu/ maverick main restricted
deb-src http://mirror.netlinux.cl/ubuntu/ maverick main restricted

deb http://mirror.netlinux.cl/ubuntu/ maverick multiverse
deb-src http://mirror.netlinux.cl/ubuntu/ maverick multiverse
deb http://mirror.netlinux.cl/ubuntu/ maverick-updates multiverse
deb-src http://mirror.netlinux.cl/ubuntu/ maverick-updates multiverse

deb http://mirror.netlinux.cl/ubuntu/ maverick-security main restricted
deb-src http://mirror.netlinux.cl/ubuntu/ maverick-security main restricted
deb http://mirror.netlinux.cl/ubuntu/ maverick-security universe
deb-src http://mirror.netlinux.cl/ubuntu/ maverick-security universe
deb http://mirror.netlinux.cl/ubuntu/ maverick-security multiverse
deb-src http://mirror.netlinux.cl/ubuntu/ maverick-security multiverse

deb http://mirror.netlinux.cl/ubuntu/ maverick universe
deb-src http://mirror.netlinux.cl/ubuntu/ maverick universe
deb http://mirror.netlinux.cl/ubuntu/ maverick-updates universe
deb-src http://mirror.netlinux.cl/ubuntu/ maverick-updates universe
deb http://mirror.netlinux.cl/ubuntu/ maverick-updates main restricted
deb-src http://mirror.netlinux.cl/ubuntu/ maverick-updates main restricted


Este fichero necesita ser modificado para reflejar las nuevas URL asignadas a los repositorios antiguos. En el caso de usar Ubuntu 10.10 Maverick Merkaat lo reemplazamos para que quede así:


deb http://old-releases.ubuntu.com/ubuntu/ maverick main restricted
deb-src http://old-releases.ubuntu.com/ubuntu/ maverick main restricted
deb http://old-releases.ubuntu.com/ubuntu/ maverick-updates main restricted
deb-src http://old-releases.ubuntu.com/ubuntu/ maverick-updates main restricted
deb http://old-releases.ubuntu.com/ubuntu/ maverick universe multiverse
deb-src http://old-releases.ubuntu.com/ubuntu/ maverick universe multiverse
deb http://old-releases.ubuntu.com/ubuntu maverick-security main restricted
deb-src http://old-releases.ubuntu.com/ubuntu maverick-security main restricted
 
Naturalmente, si usamos una versión diferente de Ubuntu, habremos de modificar estas líneas en consecuencia. Los nombres de las distribuciones descontinuadas al momento son:

Distribuciones de Ubuntu
4.10 Warty Warthog
5.04 Hoary Hedgehog
6.04 Dapper Drake
6.10 Edgy Eft
7.04 Feisty Fawn
7.10 Gutsy Gibbon
8.04 Hardy Heron
8.10 Intrepid Ibex
9.04 Jaunty Jackalope
9.10 Karmic Koala
10.10 Maverick Merkaat
11.04 Natty Narhal
11.10 Oneiric Ocelot

Conforme hayamos editado el archivo, hemos de guardarlo y ejecutar el comando:

sudo apt-get update

Esto se encargará de actualizar la lista de repositorios y verificarla. Si todo va bien, no deberían existir errores y podríamos al menos descargar los programas antiguos de los repositorios de Ubuntu.

Naturalmente, también podremos actualizar los mismos a versiones más modernas, pero utilizando el procedimiento de instalación manual (ya sea descarga de paquetes, a través de PPA, compilando, etc.

6 comentarios:

  1. Hola compañeros. Tenía una pregunta simple, pero seguramente de compleja solución. Me gustaría saber si se puede instalar flash player a el navegador midori que me parece bastante rapido. Saludos.

    ResponderEliminar
  2. Prueba con:
    sudo su
    apt-get install flashplugin-installer nspluginwrapper
    nspluginwrapper -i /usr/lib/flashplugin-installer/libflashplayer.so
    nspluginwrapper -v -a -n -i

    ResponderEliminar
  3. hola compañero. me da un error en la instalacion "Tipo <> desconocido en la linea 1 de la listas de fuentes.
    No se pudieron leer la lista de fuentes"

    en el archivo he copiado justo lo que ponias salvo por la version natty

    ResponderEliminar
  4. mano no puedo isntalar ningun paquete me dice esto:E: Línea 1 demasiado larga en la lista de fuentes /etc/apt/sources.list.d/medibuntu.list.
    E: No se pudieron leer las listas de fuentes espero que me puedas ayudar por favor

    ResponderEliminar
    Respuestas
    1. Estimado Daniel Fuentes:

      Este artículo está obsoleto ya. Por favor no lo utilices para realizar actualización alguna pues ya dichos servidores de repositorios han sido dados de baja.

      Atte.

      Juan Perón

      Eliminar
  5. A mi me funciona cambiando así :V
    # Required
    deb cdrom:[Ubuntu 9.10 _Karmic Koala_ - Release i386 (20091028.5)]/ karmic main restricted

    deb http://old-releases.ubuntu.com/ubuntu/ karmic main restricted universe multiverse

    deb http://old-releases.ubuntu.com/ubuntu/ karmic-updates main restricted universe multiverse

    deb http://old-releases.ubuntu.com/ubuntu/ karmic-security main restricted universe multiverse

    # Optional
    #deb http://old-releases.ubuntu.com/ubuntu/ karmic-backports main restricted universe multiverse

    ResponderEliminar